%define anolis_release 4
%global modname Module-Load

Name:           perl-%{modname}
Epoch:          1
Version:        0.36
Release:        %{anolis_release}%{?dist}
Summary:        Run-time require of both modules and files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/modules/by-module/Module/%{modname}-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter
BuildRequires:  perl(warnings) perl(Config) perl(Data::Dumper) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::More) >= 0.94
BuildRequires:  perl(strict) perl(File::Spec) perl(lib) perl(vars)

BuildArch:      noarch

%description
Module::Load allows for generic loading of modules and files. Simply give it
the name of a module or file and it will Do What You Mean (tm).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
unset PERL_CORE
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README CHANGES

%changelog
* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1:0.36-4
- Refactor the specfile

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.36-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.36-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.36-1
- Init from upstream version 0.36

